- library: '&IDL_MochaBaseSystem;'
  instances:
  # - sequenceTask: '&IDI_Task_ViewWorkData;'
  #   name: 'View Work Data'
  #   initiatingElement: '&IDE_WorkData_View;'
  #   taskCategory: '&IDI_TaskCategory_WorkData;'
    
  # - sequenceTask: '&IDI_Task_EditWorkData;'
  #   name: 'Edit Work Data'
  #   initiatingElement: '&IDE_WorkData_Edit;'
  #   taskCategory: '&IDI_TaskCategory_WorkData;'
    
  - sequenceTask: '&IDI_Task_ViewWorkSet;'
    name: 'View Work Set'
    initiatingElement:
    - globalIdentifier: '{ef23b852-e26c-4922-b62c-4b8db5336b98}'
      name: 'View Work Set Start'
      processedByCTMethod:
      - globalIdentifier: '{5f2b0341-823a-481f-8576-d6b5618588c3}'
        forClassId: '&IDC_WorkSet;'
        verb: ''
        name: 'Work Set View Start'
        buildsResponseWithBRMB:
        - globalIdentifier: '{9fdff0d6-ffa9-4a12-991b-c1e8c98419c1}'
          executesMethod:
          - globalIdentifier: '{05674ced-bf1f-43b1-9931-4448395a016c}'
            usesExecutableReturningElement: '&IDE_WorkData_View;'
      elementContents:
      - globalIdentifier: '{7e347085-aa54-4b15-9628-b5c3dabc9fa5}'
        defaultDataType:
        - type: '&IDC_Element;'
          globalIdentifier: '{bc2594e0-ca36-45ad-9d85-bfc4d0876fd6}'
          name: 'Work Set Selection subedit'
          layout:
          - type: '&IDC_GroupLayout;'
            globalIdentifier: '{16cacbc9-2923-4d89-9264-5543fe7b011a}'
            options:
            - instance: '&IDI_GroupLayoutOption_FieldSet;'
          elementContents:
          - globalIdentifier: '{9d0f57ea-b3e7-41f1-a171-2f1cd01b64ef}'
            defaultDataType: '&IDC_WorkSet;'
            label: 'Work Set'
        displayOptions:
        - instance: '&IDI_DisplayOption_Singular;'
        - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    taskCategory: '&IDI_TaskCategory_WorkSet;'
    
  - sequenceTask: '&IDI_Task_EditWorkSet;'
    name: 'Edit Work Set'
    initiatingElement: '&IDE_WorkData_Edit;'
    taskCategory: '&IDI_TaskCategory_WorkSet;'
    
    # name: 'View Class'
    # taskCategory: '&IDI_TaskCategory_Class;'
    # moduleId: '&IDI_Module_MochaBaseSystem;'
    # schedulable: no
    # longRunning: no
    # suppressRIHints: no
    # stepName: View Class
    # showSpreadsheetButtonOnSelection: no
    # relatedAction:
    #   object: '&IDC_Class;'
    #   action: 'View'
    #   menuPath: 'Class > View'
    # initiatingElement: '&IDE_ViewClass;'
    # taskDirectiveRAMB: '&IDMB_Element__get_Help_Text_for_View_Element;' # Element@get Help Text for View Element(GRA)*P*S(public)[ramb]
    # enableSaveParameters: no
    # enableReportGroups: no
    # handledByControlTransaction: '&IDM_Element__View_Start;' # Element@ View Start(CT)*S
    # respondsWithElement: '&IDE_ViewElementEdit;'
    # updating: no
    # targetAudience: 'ESS'
    # businessProcessType: 'VIEWELEMENT'

  - element: '&IDE_WorkData_View;'
    name: 'view work set'
    elementContents:
    - globalIdentifier: '{9531a7c4-c856-4326-b146-cd875cfb5aeb}'
      defaultDataType: '&IDE_WorkData_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_WorkData_Edit;'
    name: 'edit work set'
    elementContents:
    - globalIdentifier: '{1d3a264c-162b-45fa-9a0f-8a018906a5e7}'
      defaultDataType: '&IDE_WorkData_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_WorkData_Subedits;'
    name: 'work data subedits'
    layout:
    - type: '&IDC_GroupLayout;'
      globalIdentifier: '{4491bbb2-1386-4c7b-b288-8982c21b22e7}'
      options:
      - instance: '&IDI_GroupLayoutOption_FieldSet;'
    elementContents:
    - globalIdentifier: '{1ae369fe-7f0a-472f-b04c-e429207b5436}'
      defaultDataType: '&IDC_WorkSet;'

    - globalIdentifier: '{8eef2b0e-9d47-4184-9b05-d778239a7b7c}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{1aef89a0-1fc4-4ead-983a-8558ba351b60}'
      defaultDataType: '&IDA_Singular;'
      
    # - globalIdentifier: '{f6fbaab7-f947-49ee-95c3-d7b652e346f4}'
    #   defaultDataType: '&IDR_Work_Data__in__Namespace;'
    #   label: Namespace